Bio::Phylo::Unparsers::Nexus(3)

NAME
Bio::Phylo::Unparsers::Nexus - Serializer used by Bio::Phylo::IO, no serviceable parts inside

DESCRIPTION
This module turns a Bio::Phylo::Matrices::Matrix object into a nexus formatted matrix. It is called by the Bio::Phylo::IO facade, don't call it directly. You can pass the following additional arguments to the unparse call:

        # an array reference of matrix, forest and taxa objects:
        -phylo => [ $block1, $block2 ]

        # the arguments that can be passed for matrix objects,
        # refer to Bio::Phylo::Matrices::Matrix::to_nexus:
        -matrix_args => {}

        # the arguments that can be passed for forest objects,
        # refer to Bio::Phylo::Forest::to_nexus:
        -forest_args => {}

        # the arguments that can be passed for taxa objects,
        # refer to Bio::Phylo::Taxa::to_nexus:
        -taxa_args => {}

        OR:

        # for backward compatibility:
        -phylo => $matrix

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Bio::Phylo::IO
    The nexus serializer is called by the Bio::Phylo::IO object.

Bio::Phylo::Manual
    Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>.

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>